summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xmakesrc.sh32
-rw-r--r--phpunit12.spec15
2 files changed, 16 insertions, 31 deletions
diff --git a/makesrc.sh b/makesrc.sh
index 5e25d18..59cf430 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -1,39 +1,27 @@
#!/bin/bash
NAME=$(basename $PWD)
-DATE=$(sed -n '/^%global gh_date/{s/.* //;p}' $NAME.spec)
OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
-VERSION=$(sed -n '/^%global upstream_version/{s/.* //;p}' $NAME.spec)
-MAJOR=$(sed -n '/^%global ver_major/{s/.* //;p}' $NAME.spec)
-MINOR=$(sed -n '/^%global ver_minor/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
-SHORT=${COMMIT:0:7}
+VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
-DATE=$(date -d "$DATE -1 week" +%Y-%m-%d)
-
-if [ -f $NAME-$VERSION-$SHORT.tgz ]; then
- echo "$NAME-$VERSION-$SHORT.tgz already there"
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "$NAME-$VERSION.tgz already there"
else
- echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION, Date=$DATE\n"
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION \n"
echo "Cloning..."
- rm -rf $PROJECT-$COMMIT
- git clone --branch $MAJOR.$MINOR --shallow-since=$DATE https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT || \
- git clone --shallow-since=$DATE https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT || \
- exit 1
+ rm -rf $PROJECT-$VERSION
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
- echo "Getting commit..."
- pushd $PROJECT-$COMMIT
- git checkout $COMMIT || exit 1
- cp composer.json ../composer.json
- popd
+ echo "Getting composer..."
+ cp $PROJECT-$VERSION/composer.json composer.json
echo "Archiving..."
- tar czf $NAME-$VERSION-$SHORT.tgz --exclude-vcs --exclude tools $PROJECT-$COMMIT
+ tar czf $NAME-$VERSION.tgz --exclude-vcs --exclude tools $PROJECT-$VERSION
echo "Cleaning..."
- rm -rf $PROJECT-$COMMIT
+ rm -rf $PROJECT-$VERSION
echo "Done."
fi
diff --git a/phpunit12.spec b/phpunit12.spec
index ebc8342..b03d2bb 100644
--- a/phpunit12.spec
+++ b/phpunit12.spec
@@ -19,9 +19,6 @@
%bcond_with defcmd
%endif
-%global gh_commit b2429f58ae75cae980b5bb9873abe4de6aac8b58
-%global gh_date 2026-04-03
-%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner sebastianbergmann
%global gh_project phpunit
# Packagist
@@ -33,18 +30,15 @@
%global ver_major 12
%global ver_minor 5
-%global upstream_version 12.5.16
-#global upstream_prever dev
-
Name: %{pk_project}%{ver_major}
-Version: %{upstream_version}%{?upstream_prever:~%{upstream_prever}}
+Version: 12.5.17
Release: 1%{?dist}
Summary: The PHP Unit Testing framework version %{ver_major}
License: BSD-3-Clause
URL: https://github.com/%{gh_owner}/%{gh_project}
# run makesrc.sh to create a git snapshot with test suite
-Source0: %{name}-%{upstream_version}-%{gh_short}.tgz
+Source0: %{name}-%{version}.tgz
Source1: makesrc.sh
# Fix command for autoload
@@ -167,7 +161,7 @@ Documentation: https://phpunit.de/documentation.html
%prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
%patch -P0 -p0 -b .rpm
find . -name \*.rpm -delete -print
@@ -298,6 +292,9 @@ exit $ret
%changelog
+* Wed Apr 8 2026 Remi Collet <remi@remirepo.net> - 12.5.17-1
+- update to 12.5.17
+
* Fri Apr 3 2026 Remi Collet <remi@remirepo.net> - 12.5.16-1
- update to 12.5.16